com.tibco.tea.agent.api

## Enum MethodType

- java.lang.Object
- - java.lang.Enum<MethodType>
  - - com.tibco.tea.agent.api.MethodType

- All Implemented Interfaces:
    Serializable, Comparable<MethodType>

      public enum MethodType
      extends Enum<MethodType>

  Types of the operations, they define the semantics of the operation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE` 'delete' operation - it will remove current object, as UPDATE is should have `TeaRequires` and define required permissions.
    `READ` 'read-only' operation, should not change state stored in the agent.
    `UPDATE` 'write' operation, does change state of the server.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MethodType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MethodType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ

          public static final MethodType READ

      'read-only' operation, should not change state stored in the agent.

    - #### UPDATE

          public static final MethodType UPDATE

      'write' operation, does change state of the server. In most cases such operations should have `TeaRequires` annotation to define permissions.

    - #### DELETE

          public static final MethodType DELETE

      'delete' operation - it will remove current object, as UPDATE is should have `TeaRequires` and define required permissions.

  - ### Method Detail

    - #### values

          public static MethodType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MethodType c : MethodType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MethodType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2022 TIBCO Software Inc.. All Rights Reserved.